Skip to main content
PUT
/
sources
/
{id}
Update a business lead intake source
curl --request PUT \
  --url https://api.leadping.ai/sources/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "enabled": true,
  "adminEnablementOverride": {
    "enabled": true,
    "reason": "<string>",
    "updatedByUserId": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "regenerateApiKey": true,
  "businessId": "<string>",
  "costPerLead": "<string>",
  "allowedStates": [
    "<string>"
  ],
  "allowedProducts": [
    "<string>"
  ],
  "requiresTrustedForm": true,
  "complianceApproved": true,
  "complianceNotes": "<string>",
  "defaultTagIds": [
    "<string>"
  ],
  "defaultTagNames": [
    "<string>"
  ],
  "id": "<string>"
}
'
{
  "description": "<string>",
  "enabled": true,
  "adminEnablementOverride": {
    "enabled": true,
    "reason": "<string>",
    "updatedByUserId": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "apiKeyPreview": "<string>",
  "apiKeyIssuedAt": "2023-11-07T05:31:56Z",
  "user": {
    "id": "<string>",
    "name": "<string>"
  },
  "createdByUser": {
    "id": "<string>",
    "name": "<string>"
  },
  "modifiedByUser": {
    "id": "<string>",
    "name": "<string>"
  },
  "business": {
    "id": "<string>",
    "name": "<string>"
  },
  "costPerLead": "<string>",
  "allowedStates": [
    "<string>"
  ],
  "allowedProducts": [
    "<string>"
  ],
  "requiresTrustedForm": true,
  "complianceApproved": true,
  "complianceNotes": "<string>",
  "defaultTagIds": [
    "<string>"
  ],
  "defaultTags": [
    {
      "id": "<string>",
      "name": "<string>",
      "normalizedName": "<string>",
      "color": "<string>"
    }
  ],
  "name": "<string>",
  "id": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "modifiedAt": "2023-11-07T05:31:56Z"
}

Path Parameters

id
string
required

The ID of the source to update.

Body

The updated source data.

Request payload for source.

name
string
required

The display name for the entity.

Maximum string length: 255
description
string | null

The human-readable description of this source.

enabled
boolean

Whether this source is enabled.

adminEnablementOverride
object
regenerateApiKey
boolean

Whether regenerate API key applies to this source.

businessId
string | null

The business ID associated with this source.

costPerLead
string<double> | null

The cost per lead value for this source.

Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
allowedStates
string[]

The allowed states included with this source.

allowedProducts
string[]

The allowed products included with this source.

requiresTrustedForm
boolean

Whether this source requires TrustedForm.

complianceApproved
boolean

Whether this source is compliance approved.

complianceNotes
string | null

The compliance notes value for this source.

defaultTagIds
string[]

Tag ids applied automatically to leads created from this source.

defaultTagNames
string[]

Tag names applied automatically to leads created from this source, creating missing tags when allowed by the caller.

id
string | null

The unique identifier for the entity, when updating an existing entity.

Response

Source was successfully updated.

API response containing source data returned to callers.

description
string | null

The human-readable description of this source.

enabled
boolean

Whether this source is enabled.

adminEnablementOverride
object
apiKeyPreview
string | null

The API key preview value for this source.

apiKeyIssuedAt
string<date-time> | null

The date and time for the API key issued at value on this source.

user
object

The user value for this source.

createdByUser
object

The user that created this source.

modifiedByUser
object

The user that most recently modified this source.

business
object

The business value for this source.

costPerLead
string<double> | null

The cost per lead value for this source.

Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
allowedStates
string[]

The allowed states included with this source.

allowedProducts
string[]

The allowed products included with this source.

requiresTrustedForm
boolean

Whether this source requires TrustedForm.

complianceApproved
boolean

Whether this source is compliance approved.

complianceNotes
string | null

The compliance notes value for this source.

defaultTagIds
string[]

Tag ids applied automatically to leads created from this source.

defaultTags
object[]

Tags applied automatically to leads created from this source.

name
string

The display name for the entity.

id
string

The unique identifier for the entity.

createdAt
string<date-time>

The date and time when the entity was created.

modifiedAt
string<date-time> | null

The date and time when the entity was last modified, if applicable.